Subject: Re: mem allocation / heap_chunk
From: "Max Bowsher" <[email-masked]>
To: "Fabrice Marchal" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 28 Feb 2003 14:38:04 -0000

Fabrice Marchal wrote:
> Larry Hall (RFK Partners, Inc.) wrote:
> 
>> Fabrice Marchal wrote:
>> 
>>> Randall R Schulz wrote:
>>> 
>>>> Fabrice,
>>>> 
>>>> It would seem that the answer is right there on the page you
>>>> referenced. You can script a change to that registry entry via the
>>>> Cygwin regtool script. You can do this in an install or
>>>> post-install script or upon each invocation of your application,
>>>> providing it's invoked via a script.
>>> 
>>> 
>>> 
>>> I can write a script, but then it would require to install cygwin
>>> and bash (and maybe other things) for the
>>> end-user, while at the moment I just provide the cygwin.dll. I was
>>> looking for something that uses the
>>> cygwin_XXX API.
>> 
>> 
>> 
>> There is no Cygwin API.  You might be able to do something with
>> /proc/registry eventually.  Of course, you can always use Win32 APIs.
> 
> If I try to change the /proc/registry/.. ../Cygwin/heap_chunk_in_mb
> file, it is an Administrator owned file and cannot be overwritten by
> a user. Is the /proc/registry directory created each time a cygwin
> program starts? 

No. It's a virtual directory. It's also read only. Use regtool.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/